/*
 *  sound.hpp
 *  Template
 *
 *  Created by increpare on 16/01/2009.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

#include <aldumb.h>

const int pan = 128;
const int pitch = 1000;

DUH *music[1];  

AL_DUH_PLAYER *dplay; /* Holds the current playback state. */

void stopmusic()
{
	//BASS_ChannelStop(curplay);	
	if (dplay!=NULL) 
	{
		al_stop_duh(dplay);
		dplay=NULL;
	}
}

void playmusic(int i)
{
	
	stopmusic();
	dplay=al_start_duh(music[0],1,0,1.0f, 4096,11025);
}


void init_sound()
{
	
	if (install_sound(DIGI_AUTODETECT, MIDI_NONE, NULL) != 0) {
		allegro_message("Error initialising sound system\n%s\n", allegro_error);
	}
	atexit(&dumb_exit);
	set_mixer_quality(0);
	dumb_register_stdfiles();

	

	//load music
	music[0] = dumb_load_xm_quick("xm/bg.xm");
	
	
}